


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: EntityWithId</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: EntityWithId (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">EntityWithId</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    33.3%
  </span>
  <span class="absValue">
    (1/ 3)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    25%
  </span>
  <span class="absValue">
    (1/ 4)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.GeneratedValue;
<i>4</i>&nbsp;import javax.persistence.GenerationType;
<i>5</i>&nbsp;import javax.persistence.Id;
<i>6</i>&nbsp;import javax.persistence.MappedSuperclass;
<i>7</i>&nbsp;
<i>8</i>&nbsp;@MappedSuperclass
<b class="fc"><i>9</i>&nbsp;public abstract class EntityWithId {</b>
<i>10</i>&nbsp;    @Id
<i>11</i>&nbsp;    @GeneratedValue(strategy = GenerationType.AUTO)
<i>12</i>&nbsp;    protected int id;
<i>13</i>&nbsp;
<i>14</i>&nbsp;    public int getId() {
<b class="nc"><i>15</i>&nbsp;        return id;</b>
<i>16</i>&nbsp;    }
<i>17</i>&nbsp;
<i>18</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>19</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
